package com.tagtraum.ideajad;

import java.io.*;

/**
 * 
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id:$
 */
public class Jad {
    private String execPath;
    private JadOptions defaultOptions = new JadOptions();

    public Jad(String execPath) {
        setExecPath(execPath);
    }

    public String getExecPath() {
        return execPath;
    }

    public void setExecPath(String execPath) {
        this.execPath = execPath;
    }

    public JadOptions getDefaultOptions() {
        return defaultOptions;
    }

    public void setDefaultOptions(JadOptions defaultOptions) {
        this.defaultOptions = defaultOptions;
    }

    public InputStream decompile(String files) throws IOException, InterruptedException {
        return decompile(this.defaultOptions, files);
    }

    public InputStream decompile(JadOptions options, String files) throws IOException, InterruptedException {
        Process p = Runtime.getRuntime().exec(execPath + options.toString() + " " + files);
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        new StreamPumper(p.getErrorStream()).start();
        new StreamPumper(p.getInputStream(), out).start();
        p.waitFor();
        return new ByteArrayInputStream(out.toByteArray());
    }
}
