package com.tagtraum.ideajad;

/**
 * 
 * @author <a href="mailto:hs@tagtraum.com">Hendrik Schreiber</a>
 * @version $Id:$
 */
public class JadOptions {
    private boolean annotate;
    private boolean annotateFully;
    private boolean braces;
    private boolean clear;
    private String outputDirectory;
    private boolean dead;
    private boolean dissassemblerOnly;
    private boolean fullyQualifiedNames;
    private boolean fieldsFirst;
    private boolean defaultInitializers;
    private Integer maxStringLength;
    private boolean lineNumbersAsComments;
    private Integer longRadix;
    private boolean splitStringsAtNewline;
    private boolean noconv;
    private boolean nocast;
    private boolean noclass;
    private boolean nocode;
    private boolean noctor;
    private boolean nodos;
    private boolean nofd;
    private boolean noinner;
    private boolean nolvt;
    private boolean nonlb = true;
    private boolean overwrite = true;
    private boolean pipe = false;
    private boolean restorePackages;
    private Integer intRadix;
    private String fileExtension = "java";
    private boolean safe;
    private boolean spaceAfterKeyword;
    private boolean statistics;
    private Integer indentation;
    private boolean useTabs;
    private boolean verbose;

    public String toString() {
        StringBuffer sb = new StringBuffer();
        if (annotate) sb.append(" -a");
        if (annotateFully) sb.append(" -af");
        if (braces) sb.append(" -b");
        if (clear) sb.append(" -clear");
        if (outputDirectory != null) sb.append(" -d " + outputDirectory);
        if (dead) sb.append(" -dead");
        if (dissassemblerOnly) sb.append(" -dis");
        if (fullyQualifiedNames) sb.append(" -f");
        if (fieldsFirst) sb.append(" -ff");
        if (defaultInitializers) sb.append(" -i");
        if (maxStringLength != null) sb.append(" -l"+maxStringLength);
        if (lineNumbersAsComments) sb.append(" -lnc");
        if (longRadix != null) sb.append(" -lradix"+longRadix);
        if (splitStringsAtNewline) sb.append(" -nl");
        if (noconv) sb.append(" -noconv");
        if (nocast) sb.append(" -nocast");
        if (noclass) sb.append(" -noclass");
        if (nocode) sb.append(" -nocode");
        if (noctor) sb.append(" -noctor");
        if (nodos) sb.append(" -nodos");
        if (nofd) sb.append(" -nofd");
        if (noinner) sb.append(" -noinner");
        if (nolvt) sb.append(" -nolvt");
        if (nonlb) sb.append(" -nonlb");
        if (overwrite) sb.append(" -o");
        if (pipe) sb.append(" -p");
        if (restorePackages) sb.append(" -r");
        if (intRadix != null) sb.append(" -radix"+intRadix);
        if (fileExtension != null) sb.append(" -s"+fileExtension);
        if (safe) sb.append(" -safe");
        if (spaceAfterKeyword) sb.append(" -space");
        if (statistics) sb.append(" -stat");
        if (indentation != null) sb.append(" -num"+indentation);
        if (useTabs) sb.append(" -t");
        if (verbose) sb.append(" -v");
        return sb.toString();
    }

    public boolean isAnnotate() {
        return annotate;
    }

    public void setAnnotate(boolean annotate) {
        this.annotate = annotate;
    }

    public boolean isAnnotateFully() {
        return annotateFully;
    }

    public void setAnnotateFully(boolean annotateFully) {
        this.annotateFully = annotateFully;
    }

    public boolean isBraces() {
        return braces;
    }

    public void setBraces(boolean braces) {
        this.braces = braces;
    }

    public boolean isClear() {
        return clear;
    }

    public void setClear(boolean clear) {
        this.clear = clear;
    }

    public String getOutputDirectory() {
        return outputDirectory;
    }

    public void setOutputDirectory(String outputDirectory) {
        this.outputDirectory = outputDirectory;
    }

    public boolean isDead() {
        return dead;
    }

    public void setDead(boolean dead) {
        this.dead = dead;
    }

    public boolean isDissassemblerOnly() {
        return dissassemblerOnly;
    }

    public void setDissassemblerOnly(boolean dissassemblerOnly) {
        this.dissassemblerOnly = dissassemblerOnly;
    }

    public boolean isFullyQualifiedNames() {
        return fullyQualifiedNames;
    }

    public void setFullyQualifiedNames(boolean fullyQualifiedNames) {
        this.fullyQualifiedNames = fullyQualifiedNames;
    }

    public boolean isFieldsFirst() {
        return fieldsFirst;
    }

    public void setFieldsFirst(boolean fieldsFirst) {
        this.fieldsFirst = fieldsFirst;
    }

    public boolean isDefaultInitializers() {
        return defaultInitializers;
    }

    public void setDefaultInitializers(boolean defaultInitializers) {
        this.defaultInitializers = defaultInitializers;
    }

    public Integer getMaxStringLength() {
        return maxStringLength;
    }

    public void setMaxStringLength(Integer maxStringLength) {
        this.maxStringLength = maxStringLength;
    }

    public boolean isLineNumbersAsComments() {
        return lineNumbersAsComments;
    }

    public void setLineNumbersAsComments(boolean lineNumbersAsComments) {
        this.lineNumbersAsComments = lineNumbersAsComments;
    }

    public Integer getLongRadix() {
        return longRadix;
    }

    public void setLongRadix(Integer longRadix) {
        this.longRadix = longRadix;
    }

    public boolean isSplitStringsAtNewline() {
        return splitStringsAtNewline;
    }

    public void setSplitStringsAtNewline(boolean splitStringsAtNewline) {
        this.splitStringsAtNewline = splitStringsAtNewline;
    }

    public boolean isNoconv() {
        return noconv;
    }

    public void setNoconv(boolean noconv) {
        this.noconv = noconv;
    }

    public boolean isNocast() {
        return nocast;
    }

    public void setNocast(boolean nocast) {
        this.nocast = nocast;
    }

    public boolean isNoclass() {
        return noclass;
    }

    public void setNoclass(boolean noclass) {
        this.noclass = noclass;
    }

    public boolean isNocode() {
        return nocode;
    }

    public void setNocode(boolean nocode) {
        this.nocode = nocode;
    }

    public boolean isNoctor() {
        return noctor;
    }

    public void setNoctor(boolean noctor) {
        this.noctor = noctor;
    }

    public boolean isNodos() {
        return nodos;
    }

    public void setNodos(boolean nodos) {
        this.nodos = nodos;
    }

    public boolean isNofd() {
        return nofd;
    }

    public void setNofd(boolean nofd) {
        this.nofd = nofd;
    }

    public boolean isNoinner() {
        return noinner;
    }

    public void setNoinner(boolean noinner) {
        this.noinner = noinner;
    }

    public boolean isNolvt() {
        return nolvt;
    }

    public void setNolvt(boolean nolvt) {
        this.nolvt = nolvt;
    }

    public boolean isNonlb() {
        return nonlb;
    }

    public void setNonlb(boolean nonlb) {
        this.nonlb = nonlb;
    }

    public boolean isOverwrite() {
        return overwrite;
    }

    private void setOverwrite(boolean overwrite) {
        this.overwrite = overwrite;
    }

    public boolean isPipe() {
        return pipe;
    }

    public void setPipe(boolean pipe) {
        this.pipe = pipe;
    }

    public boolean isRestorePackages() {
        return restorePackages;
    }

    public void setRestorePackages(boolean restorePackages) {
        this.restorePackages = restorePackages;
    }

    public Integer getIntRadix() {
        return intRadix;
    }

    public void setIntRadix(Integer intRadix) {
        this.intRadix = intRadix;
    }

    public String getFileExtension() {
        return fileExtension;
    }

    public void setFileExtension(String fileExtension) {
        this.fileExtension = fileExtension;
    }

    public boolean isSafe() {
        return safe;
    }

    public void setSafe(boolean safe) {
        this.safe = safe;
    }

    public boolean isSpaceAfterKeyword() {
        return spaceAfterKeyword;
    }

    public void setSpaceAfterKeyword(boolean spaceAfterKeyword) {
        this.spaceAfterKeyword = spaceAfterKeyword;
    }

    public boolean isStatistics() {
        return statistics;
    }

    public void setStatistics(boolean statistics) {
        this.statistics = statistics;
    }

    public Integer getIndentation() {
        return indentation;
    }

    public void setIndentation(Integer indentation) {
        this.indentation = indentation;
    }

    public boolean isUseTabs() {
        return useTabs;
    }

    public void setUseTabs(boolean useTabs) {
        this.useTabs = useTabs;
    }

    public boolean isVerbose() {
        return verbose;
    }

    public void setVerbose(boolean verbose) {
        this.verbose = verbose;
    }
}
